Reviews (deprecating 10/31)
Google Product deprecating on 10/31
Google no longer supports individual Shopping product pages with reviews. Product Review information now appears within a right-hand Product Knowledge Panel when you click an item in the Shopping results. As a result, we are replacing the Google Shopping Product request with the new Google Product DetailsGoogle Product Details request, which extracts data directly from this panel. The Product Details request replaces the legacy Product, Online Sellers and Specifications requests. We are separating out the Reviews information as part of a new Product Reviews request.
Google Product Reviews Parameters
GET /search?search_type=product&product_type=reviews
The Google Product Reviews Parameters are applicable when making a request with search_type=product and product_type=reviews to retrieve product reviews results for a given product ID. The product ID is specified in the product_id parameter and you should also specify a location parameter to geo-locate the request (locations can be retrieved via the Locations API).
Google Product IDs are returned by Google Shopping search requests.
Products & Location Google Product pages are highly location-sensitive so it is important that you specify a location that matches the location that was used to retrieve the product_id in the original Google Shopping search request.
Place Reviews Pagination Product Reviews results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each product_type=reviews result will return a next_page_token in its' product_results.pagination object. This next_page_token can be passed in to the next_page_token request parameter to retrieve the next page of Product Reviews results.

For example, to request product reviews results for the product ID 13244508647295616715 in the location United States , the request would be:
https://api.scaleserp.com/search?api_key=demo&search_type=product&product_type=reviews&product_id=13244508647295616715&location=United+StatesGoogle Product Reviews Parameters
The following parameters are available for all requests made when search_type=product and product_type=reviews .
Parameter | Required | Description |
|---|---|---|
search_type | required | Should be set to search_type=product . |
product_type | required | Should be set to product_type=reviews . |
product_id | required | The Google Product ID to retrieve. Google Product IDs are returned by Google Shopping search requests. |
sort_by | optional | Sets the sort ordering of the product reviews returned. Valid values are:
|
location | optional | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you choose one of the Scale SERP built-in locations then the google_domain , gl and hl parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the location_auto parameter). |
location_auto | optional | If the location field is set to a Scale SERP built-in location from the Locations API , and location_auto is set to true (default) then the google_domain , gl and hl parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are true (default) to enable this behaviour or false to disable. |
uule | optional | The Google UULE parameter - use to pass through a custom uule parameter to Google. Scale SERP automatically generates the uule when you use the location parameter but we allow you to overwrite it directly by specifying a uule directly. |
google_domain | optional | The Google domain to use to run the search query. View the full list of supported google_domain values here . Defaults to google.com . |
gl | optional | The gl parameter determines the Google country to use for the query. View the full list of supported gl values here . Defaults to us . |
hl | optional | The hl parameter determines the Google UI language to return results. View the full list of supported hl values here . Defaults to en . |
next_page_token | optional | Product Reviews results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each product_type=reviews result will return a next_page_token in its' product_results.pagination object. This next_page_token can be passed in to the next_page_token request parameter to retrieve the next page of Product Reviews results. |
Next Steps Google Product Reviews Results